﻿namespace U2UConsult.Win8.ExtendedSliderSample
{
    using Windows.UI.Xaml;
    using Windows.UI.Xaml.Controls;
    using Windows.UI.Xaml.Input;

    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void SliderButton_Click(object sender, RoutedEventArgs e)
        {
            this.TheTextBox.IsEnabled = true;
            this.TheTextBox.Focus(FocusState.Programmatic);
        }

        private void TheTextBox_LostFocus(object sender, RoutedEventArgs e)
        {
            this.TheTextBox.IsEnabled = false;
        }

        private void TheTextBox_KeyUp(object sender, KeyRoutedEventArgs e)
        {
            if (e.Key == Windows.System.VirtualKey.Enter)
            {
                this.TheTextBox.IsEnabled = false;
            }
        }
    }
}
